# _Columns
<span class="source-link">[[Source]](src/cli/command_help.md#L170)</span>
```pony
primitive val _Columns
```

## Constructors

### create
<span class="source-link">[[Source]](src/cli/command_help.md#L170)</span>


```pony
new val create()
: _Columns val^
```

#### Returns

* [_Columns](cli-_Columns.md) val^

---

## Public Functions

### indent
<span class="source-link">[[Source]](src/cli/command_help.md#L171)</span>


```pony
fun box indent(
  w: Writer ref,
  n: USize val)
: None val
```
#### Parameters

*   w: [Writer](buffered-Writer.md) ref
*   n: [USize](builtin-USize.md) val

#### Returns

* [None](builtin-None.md) val

---

### write
<span class="source-link">[[Source]](src/cli/command_help.md#L178)</span>


```pony
fun box write(
  w: Writer ref,
  cols: Array[(USize val , String val , String val)] ref)
: None val
```
#### Parameters

*   w: [Writer](buffered-Writer.md) ref
*   cols: [Array](builtin-Array.md)\[([USize](builtin-USize.md) val , [String](builtin-String.md) val , [String](builtin-String.md) val)\] ref

#### Returns

* [None](builtin-None.md) val

---

### eq
<span class="source-link">[[Source]](src/cli/command_help.md#L171)</span>


```pony
fun box eq(
  that: _Columns val)
: Bool val
```
#### Parameters

*   that: [_Columns](cli-_Columns.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/cli/command_help.md#L171)</span>


```pony
fun box ne(
  that: _Columns val)
: Bool val
```
#### Parameters

*   that: [_Columns](cli-_Columns.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

